Bug 43250 - [IndexedDB] IndexedDatabaseRequest should be called IndexedDatabase
Summary: [IndexedDB] IndexedDatabaseRequest should be called IndexedDatabase
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 42966 42969
  Show dependency treegraph
 
Reported: 2010-07-30 07:48 PDT by Andrei Popescu
Modified: 2010-08-04 06:28 PDT (History)
4 users (show)

See Also:


Attachments
Patch (59.70 KB, patch)
2010-07-30 09:18 PDT, Andrei Popescu
jorlow: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Popescu 2010-07-30 07:48:24 PDT
[IndexedDB] IndexedDatabaseRequest should be called IndexedDatabase
Comment 1 Andrei Popescu 2010-07-30 09:18:06 PDT
Created attachment 63066 [details]
Patch
Comment 2 Jeremy Orlow 2010-07-30 10:38:11 PDT
Comment on attachment 63066 [details]
Patch

WebCore/CMakeLists.txt:1436
 +      storage/IDBDatabaseBackend.cpp
Wrong!

WebCore/WebCore.vcproj/WebCore.vcproj:50120
 +  				RelativePath="..\storage\IDBDatabaseBackendImpl.h"
These go first

WebKit/chromium/src/WebIDBDatabaseImpl.h:43
 +      WebIDBDatabaseImpl(WTF::PassRefPtr<WebCore::IDBDatabaseBackendInterface> databaseBackend);
delete variable name

WebCore/storage/IDBRequest.cpp:76
 +  void IDBRequest::onSuccess(PassRefPtr<IDBDatabaseBackendInterface> idbDatabaseBackend)
I think I used some different naming when I did it.  Maybe double check in here and the IDBCallback files that we're consistent.  It's fine to do that in the next renaming patch too.

WebCore/storage/IDBFactoryBackendImpl.cpp:57
 +      RefPtr<IDBDatabaseBackendInterface> databaseBackend;
I don't think Backend is needed here, but I don't really care. 


r=me
Comment 3 Andrei Popescu 2010-08-03 03:44:24 PDT
Committed r64543: <http://trac.webkit.org/changeset/64543>
Comment 4 WebKit Review Bot 2010-08-03 04:52:22 PDT
http://trac.webkit.org/changeset/64543 might have broken GTK Linux 32-bit Debug
The following changes are on the blame list:
http://trac.webkit.org/changeset/64541
http://trac.webkit.org/changeset/64542
http://trac.webkit.org/changeset/64543